%feature("docstring") PERSALYS::FittingTestResult
"Get the results of a fitting test."

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FittingTestResult::getVariableName
"Variable name accessor.

Returns
-------
name : str
    The name of the variable"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FittingTestResult::getValues
"Data accessor.

Returns
-------
values : :py:class:`openturns.Sample`
    Values of the variable used to perform the inference analysis"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FittingTestResult::getTestedDistributions
"Get the sequence of tested distributions.

Returns
-------
distributions : sequence of :py:class:`openturns.Distribution`
    Tested distributions"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FittingTestResult::getKolmogorovTestResults
"Get the result of the Kolmogorov goodness-of-fit test.

Returns
-------
results : sequence of :py:class:`openturns.TestResult`
    Results of the Kolmogorov goodness-of-fit test for all the distributions"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FittingTestResult::getErrorMessages
"Get the sequence of error messages.

Returns
-------
messages : sequence of :py:class:`openturns.Description`
    Error message for each tested distributions. The error message is empty
    if the distribution has been well tested"
