%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult
"Get the results for a Functional chaos analysis.

Notes
-----
Structure created by the method run() of
:class:`~persalys.FunctionalChaosAnalysis`, and obtained thanks to the method
getResult()."

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult::getFunctionalChaosResult
"Functional chaos result accessor.

Returns
-------
result : :py:class:`openturns.FunctionalChaosResult`
    Functional chaos result"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult::getSobolResult
"Sobol' indices result accessor.

Returns
-------
result : :class:`~persalys.SobolResult`
    Object containing the first order and total Sobol' indices"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult::getMean
"Mean estimation accessor.

Returns
-------
result : :py:class:`openturns.Point`
    Mean estimation"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult::getVariance
"Variance estimation accessor.

Returns
-------
result : :py:class:`openturns.Point`
    Variance estimation"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::FunctionalChaosAnalysisResult::getOutputSample
"Output sample accessor.

Returns
-------
sample : :py:class:`openturns.Sample`
    Output sample"
