%feature("docstring") PERSALYS::SimulationReliabilityAnalysis
"Reliability analysis using simulation method.

Parameters
----------
name : str
    Name
limitState : :class:`~persalys.LimitState`
    Limit state"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::setBlockSize
"Block size accessor.

Parameters
----------
size : int
    Number of terms in the probability simulation estimator grouped together.
    It is set by default to 1."

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::getBlockSize
"Block size accessor.

Returns
-------
size : int
    Number of terms in the probability simulation estimator grouped together.
    It is set by default to 1."

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::setSeed
"Seed accessor.

Parameters
----------
seed : int
    Seed"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::getSeed
"Seed accessor.

Returns
-------
seed : int
    Seed"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::setMaximumCoefficientOfVariation
"Maximum coefficient of variation accessor.

Parameters
----------
maxCovar : float
    Maximum coefficient of variation"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::getMaximumCoefficientOfVariation
"Maximum coefficient of variation accessor.

Returns
-------
maxCovar : float
    Maximum coefficient of variation"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::setMaximumCalls
"Maximum calls accessor.

Parameters
----------
max : int
    Maximum calls"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::getMaximumCalls
"Maximum calls accessor.

Returns
-------
max : int
    Maximum calls"

// ---------------------------------------------------------------------

%feature("docstring") PERSALYS::SimulationReliabilityAnalysis::getResult
"Result accessor.

Returns
-------
result : :class:`~persalys.SimulationReliabilityResult`
    Result"
