#                                               -*- cmake -*-
#
#  PersalysConfig.cmake(.in)
#
#  Find Persalys includes and libraries
#
#  Copyright 2015-2022 EDF-Phimeca
#

# Use the following variables to compile and link against Persalys:
#  PERSALYS_FOUND          - True if Persalys was found on your system
#  PERSALYS_USE_FILE       - The file making Persalys usable
#  PERSALYS_DEFINITIONS    - Definitions needed to build with Persalys
#  PERSALYS_INCLUDE_DIRS   - List of directories where Persalys' header file are
#  PERSALYS_LIBRARY        - Library name
#  PERSALYS_LIBRARIES      - List of libraries to link against
#  PERSALYS_LIBRARY_DIRS   - List of directories containing Persalys' libraries
#  PERSALYS_ROOT_DIR       - The base directory of Persalys
#  PERSALYS_VERSION_STRING - A human-readable string containing the version
#  PERSALYS_VERSION_MAJOR  - The major version of Persalys
#  PERSALYS_VERSION_MINOR  - The minor version of Persalys
#  PERSALYS_VERSION_PATCH  - The patch version of Persalys

set ( PERSALYS_FOUND 1 )
set ( PERSALYS_USE_FILE     "/usr/lib/x86_64-linux-gnu/cmake/persalys/UsePersalys.cmake" )

set ( PERSALYS_DEFINITIONS  "-DDOCUMENTATION_INSTALL_PATH="share/persalys/doc";-DPERSALYS_VERSION="12.0.1";-DINSTALL_PATH="/usr"" )
set ( PERSALYS_INCLUDE_DIR  "/usr/include" )
set ( PERSALYS_INCLUDE_DIRS "/usr/include;/usr/include" )
set ( PERSALYS_LIBRARY      "persalys" )
set ( PERSALYS_LIBRARIES    "OT;persalys" )
set ( PERSALYS_LIBRARY_DIRS "/usr/lib/x86_64-linux-gnu;/usr/lib/x86_64-linux-gnu" )
set ( PERSALYS_ROOT_DIR     "/usr" )

set ( PERSALYS_VERSION_STRING "12.0.1" )
set ( PERSALYS_VERSION_MAJOR  "12" )
set ( PERSALYS_VERSION_MINOR  "0" )
set ( PERSALYS_VERSION_PATCH  "1" )

set (PERSALYS_PYTHON3_MODULE_PATH "/usr/lib/x86_64-linux-gnu/python3.10/site-packages")
